For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet login history
      • GETGet license
      • POSTUpdate license
      • GETValidate license
      • GETGet instance statistics
      • GETGet instance statistics (CSV)
13.5kProductPricingSign inStart free trialBook a demo
Admin APIInstance admin

Validate license

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/license/check
GET
/api/admin/license/check
$curl https://app.unleash-instance.example.com/api/admin/license/check \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "isValid": true,
3 "message": "Your license is valid until 2025-12-31",
4 "messageType": "info"
5}

Enterprise feature

Validates the Unleash license.

Was this page helpful?
Previous

Get instance statistics

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

licenseCheckSchema
isValidboolean
Whether or not the current Unleash license is considered valid
messagestring
Message describing the current state of the Unleash license
messageTypeenum
Type of messages, whether it is an informative or a warning
Allowed values: